Loading...
Searching...
No Matches
pappso::UiMonitorVoid Class Reference

`#include <uimonitorvoid.h>`

Inheritance diagram for pappso::UiMonitorVoid:

## Public Member Functions

virtual bool | shouldIstop () override
| should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented
virtual void | setTotalSteps (std::size_t total_number_of_steps) override
| use it if the number of steps is known in an algorithm the total number of steps is usefull to report to the user a progress message in percents or with a progress bar
virtual void | count () override
| count steps report when a step is computed in an algorithm
virtual void | setTitle (const QString &title) override
| current kind of process running
virtual void | setStatus (const QString &status) override
| current status of the process
virtual void | appendText (const QString &text) override
| append a text to a long report

## Additional Inherited Members

Protected Attributes inherited from pappso::UiMonitorInterface
std::size_t | m_totalSteps = 0

## Detailed Description

Todo
  nothing monitor to save CPU and memory if needed

Definition at line 41 of file uimonitorvoid.h.

## Member Function Documentation

## appendText()

virtual void pappso::UiMonitorVoid::appendText | ( | const QString & | text | ) |

inline override virtual

append a text to a long report

Parameters

  text | string to append in a long report

Implements pappso::UiMonitorInterface.

Definition at line 55 of file uimonitorvoid.h.

{};

## count()

virtual void pappso::UiMonitorVoid::count | ( |  | ) |

inline override virtual

count steps report when a step is computed in an algorithm

Implements pappso::UiMonitorInterface.

Definition at line 52 of file uimonitorvoid.h.

{};

## setStatus()

virtual void pappso::UiMonitorVoid::setStatus | ( | const QString & | status | ) |

inline override virtual

current status of the process

Parameters

  status | status message

Implements pappso::UiMonitorInterface.

Definition at line 54 of file uimonitorvoid.h.

{};

## setTitle()

virtual void pappso::UiMonitorVoid::setTitle | ( | const QString & | title | ) |

inline override virtual

current kind of process running

Parameters

  title | process title

Implements pappso::UiMonitorInterface.

Definition at line 53 of file uimonitorvoid.h.

{};

## setTotalSteps()

virtual void pappso::UiMonitorVoid::setTotalSteps | ( | std::size_t | total_number_of_steps | ) |

inline override virtual

use it if the number of steps is known in an algorithm the total number of steps is usefull to report to the user a progress message in percents or with a progress bar

Parameters

  total_number_of_steps | the total number of steps

Reimplemented from pappso::UiMonitorInterface.

Definition at line 50 of file uimonitorvoid.h.

{};

## shouldIstop()

virtual bool pappso::UiMonitorVoid::shouldIstop | ( |  | ) |

inline override virtual

should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented

Implements pappso::UiMonitorInterface.

Definition at line 45 of file uimonitorvoid.h.

{
return false;
};

The documentation for this class was generated from the following file:

- pappsomspp/core/processing/uimonitor/uimonitorvoid.h